=== debian/changelog ===
mtasc (1.14-3build4) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 15:53:16 +0000

mtasc (1.14-3build3) xenial; urgency=medium

  * No-change rebuild against new ocaml ABIs

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 03 Nov 2015 15:15:05 +0000

mtasc (1.14-3build2) wily; urgency=medium

  * Rebuild for new OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Oct 2015 17:31:40 +0000

mtasc (1.14-3build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 20:27:23 +0000

mtasc (1.14-3) unstable; urgency=low

  * Use canonical and working Vcs-* fields
  * Switch to dpkg-source v3 format
  * Swich to debhelper dh and override_* targets
  * Add DEP-3 headers to the patches
  * Add an upstream metadata file
  * Bump Standards-Version

 -- Paul Wise <pabs@debian.org>  Tue, 11 Jun 2013 19:35:29 +0800

mtasc (1.14-2) unstable; urgency=low

  * Move extc changes to new extc-fixes.patch and add Hurd support to it
  * Support nocheck in DEB_BUILD_OPTIONS
  * Bump Standards-Version

 -- Paul Wise <pabs@debian.org>  Fri, 17 Jul 2009 11:32:46 +0200

mtasc (1.14-1) unstable; urgency=low

  * New upstream release
    - drop 03_flashlite_compat.patch, included upstream
  * Fix FTBFS with dpkg-source 3.0 (quilt) (Closes: #485252)
  * Wrap the Build-Depends in debian/control
  * Move homepage to the new field
  * Bump debhelper compat level to 7
  * Add Vcs-* fields
  * Drop build-dep version numbers satisfied in oldstable/etch
  * Improve the patch and Makefile handling
  * Add patch to allow building with camlp4o from ocaml 3.11.0
    Patch fix_mtasc_for_camlp4_3.11.0.patch by Stefano Zacchiroli
  * Implement support for parallel=n in DEB_BUILD_OPTIONS
  * Link to the correct version of the GPL in the copyright info
  * Add a README.source pointing people at the quilt docs
  * Add a get-orig-source target as a wrapper around maketarball
  * We now comply with policy 3.8.0, bump Standards-Version

 -- Paul Wise <pabs@debian.org>  Tue, 10 Mar 2009 15:52:39 +0900

mtasc (1.13-4) unstable; urgency=low

  * Upload to unstable for ocaml 3.10.0 transition
  * Allow building when camlp4 is in ocaml-nox (etch)

 -- Paul Wise <pabs@debian.org>  Tue, 04 Sep 2007 17:57:17 +1000

mtasc (1.13-3) experimental; urgency=low

  * Update for ocaml 3.10.0 transition
  * Use camlp4o.opt where available
  * Don't ignore errors from make clean

 -- Paul Wise <pabs@debian.org>  Thu, 30 Aug 2007 15:14:12 +1000

mtasc (1.13-2) unstable; urgency=low

  * Fix detection of executable path, prevents FTBFS (Closes: #425908)
  * Fix classpath locations for standard includes
  * Create and use extra classpath dirs in /usr/local
  * Also test build HelloWorld.as with Flash version 8
  * More completely fix upstream Makefile

 -- Paul Wise <pabs@debian.org>  Sat, 26 May 2007 20:30:44 +1000

mtasc (1.13-1) unstable; urgency=low

  * New upstream release (Closes: #425530)
    - drop changes to install.ml - use new Makefile instead
    - drop HelloWorld.as, mtasc.1 - included upstream
    - remove new copy of zlib when generating the tarball
  * Generate a ChangeLog when creating the tarball and install it
  * The Windows compiled version is updated more, watch it
  * Change my email address now that I'm a Debian Developer
  * Bump Standards-Version (no changes)
  * Bump debhelper compatibility level
  * Split all changes into quilt patches
  * Place packaging in the public domain
  * Install CHANGES.txt as a NEWS file and also install Future.txt
  * Test-build HelloWorld.as

 -- Paul Wise <pabs@debian.org>  Wed, 23 May 2007 19:17:16 +1000

mtasc (1.12-3) unstable; urgency=low

  * Use an argument to dh_gencontrol instead of modifying mtasc.substvars

 -- Paul Wise <pabs3@bonedaddy.net>  Tue, 18 Apr 2006 13:19:46 +0800

mtasc (1.12-2) unstable; urgency=low

  * Restructure the package to use install.ml and build bytecode versions
    on arches where ocaml can't yet build native code. This fixes the FTBFS
    on several arches. mtasc has some C code, so I can't create an arch all
    package. Thanks to Sven Luther and the OCaml team. Closes: #360047

 -- Paul Wise <pabs3@bonedaddy.net>  Sat, 25 Mar 2006 17:15:45 +0800

mtasc (1.12-1) unstable; urgency=low

  * Initial release (Closes: #326931)

 -- Paul Wise <pabs3@bonedaddy.net>  Sun,  5 Mar 2006 12:05:37 +0800
