=== debian/control ===
Source: mtasc
Section: devel
Priority: optional
Maintainer: Paul Wise <pabs@debian.org>
Build-Depends:
 camlp4 | ocaml-nox (<< 3.10.0-2),
 debhelper (>= 9),
 libextlib-ocaml-dev,
 ocaml,
 ocaml-best-compilers,
 ocaml-findlib,
 zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://www.mtasc.org
Vcs-Svn: svn://anonscm.debian.org/pkg-flash/packages/mtasc/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-flash/packages/mtasc/trunk/

Package: mtasc
Architecture: any
Depends:
 ${misc:Depends},
 ${ocaml:Depends},
 ${shlibs:Depends}
Description: ActionScript 2 to Flash (SWF) compiler
 MTASC is the first ActionScript 2 Open Source free compiler. It can compile
 large numbers of .as class files in a very short time and generate directly
 the corresponding SWF bytecode.
